Public APIAPI ReferenceDomains
Get domain status.
Beta API
The /v1 API contract may change, including breaking changes without compatibility aliases.
GET
/v1/domains/{domainId}Get the domain's verification and certificate status. Used by the ntro domains verify --wait command.
Authorization
bearerAuth AuthorizationBearer <token>
Use an access token obtained by logging in or exchanging an API token. First exchange an ntro_ API token for an access token through the login server.
In: header
Path Parameters
domainId*string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/domains/string"{ "domain": { "appId": "string", "certificate": { "notAfter": "string", "status": "string" }, "cnameTarget": "string", "createdAt": "string", "hostname": "string", "id": "string", "kind": "string", "retryAfter": "string", "status": "string", "verificationErrorCode": "string", "verifiedAt": "string" }}